<section class="row mt-5">
    <div class="col">
      <p></p>
      <p></p>
      <h1 class="h3 mb-3 font-weight-normal">Configuración Reportes</h1>
      <table cellpadding="10" >
  
        <tr>
  
          <td width="10%"><b>Nombre  </b></td>
  
          <td width="40%"><input type="text" name="confSuaNombre" class="form-control" [(ngModel)]="confSuaNombre"/></td>
  
        </tr>
  
      </table>
      <button class="btn btn-primary float-right mb-3" data-toggle="modal" data-target="#modalSUA" (click)="onPreUpdateSua(null)">
        Nuevo
        registro
      </button>
      <table class="table table-hover">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Id</th>
            <th scope="col">Nombre</th>
            <!-- <th scope="col">Tipo</th> -->
            <th scope="col">&nbsp;</th>
            <th scope="col">&nbsp;</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let configuracionSua of configuracionSuas | filterSua:confSuaNombre; index as i">
            <th scope="row">{{i+1}}</th>
            <td>{{configuracionSua.configuracionSuaId}}</td>
            <td>{{configuracionSua.confSuaNombre}}</td>
            <!-- <td>{{configuracionSua.configuracionSuaTipo}}</td> -->
            <td >
              <button class="btn btn-primary" data-toggle="modal" data-target="#modalSUA" (click)="onPreUpdateSua(configuracionSua)">Actualizar</button>
            </td>

  
            <td >
              <button class="btn btn-danger" (click)="onDeleteSua(configuracionSua)">Eliminar</button>
            </td>
            
          </tr>
        </tbody>
      </table>
    </div>
  </section>
  <app-configuracion-sua [userUid]='userUid'></app-configuracion-sua>